{% extends "base.html" %}
{% load tz %}
{% load url from future %}


{% block content %}

  <div class="container-fluid">
  <div class="row">
    <div class="about col-sm-12">

    {% if event.calendar %}
        <h1>{{ event.calendar }}</h1>
        <h2>{% for org in event.calendar.org.all %}
            {{ org|safe }}
        {% endfor %}
        </h2>
    {% else %}
        <h2>{% for org in event.org.all %}
            {{ org|safe }}
        {% endfor %}
        </h2>
    {% endif %}
    <h3>{{ event.summary|urlize }}</h3>
    <p>
    <div>
    <hr>
       Start:
        {% if event.is_dtstart_without_time %}
            {{ event.dtstart|date }}
        {% else %}
            {% if 'IC' in event.calendar.parse %}{{ event.dtstart|utc }}{%else%}{{ event.dtstart|localtime }}{%endif%}
         {% endif %}
    </div>
    {% if event.dtend %}
        <div> End:
            {% if event.is_dtend_without_time %}
                {{ event.dtend|date }}
            {% else %}
                {% if 'IC' in event.calendar.parse %}{{ event.dtend|utc }}{% else %}
                    {{ event.dtend|localtime }}{% endif %}
            {% endif %}
        </div>
    {% endif %}
    </p>

    <div>
        {% comment %}
    <textarea readonly="readonly" style="border:solid 1px black;
            font-family:tahoma; background-color:lightsteelblue;width:100%;height: 80px;">
    </textarea>
{% endcomment %}
    </div>
    Speaker:    {{ event.attendee }}
    <br>

    Title:<i>
    {{ event.summary|urlize }}
</i>
    <br>
    {% if event.description %}Abstract: {{ event.description|urlize }}{% endif %}
    <hr>
    {% if event.organizer %}
        <div>
            Organiser: {{ event.organizer }}
        </div>
    {% endif %}
    {% if event.location %}
        <div>Loc. {{ event.location }}</div>
    {% endif %}
    {% if event.url %}
        <div><a href="{{ event.url }}"></a></div>
    {% endif %}
    {% if event.comment %}
        <div>Comment. {{ event.comment }}</div>
    {% endif %}
    {% if event.category_announce %}
        <div>Cat. {{ event.category_announce }}</div>
    {% endif %}

    <hr>
    {% if event.calendar %}
        {% if event.calendar.url_to_desc %}ref:
            <a href="{{ event.calendar.url_to_desc }}">{{ event.calendar|safe }}</a>
            {% else %}{{ event.calendar }}
        {% endif %}
    {% endif %}

    {% if not event.calendar %}
        <div>Ceci est une annonce créée par {{ event.created_by }}</div>
        {% if user.is_authenticated %}
            {% if event.dtstart > now %}
                {% if event.created_by == user or user.is_staff %}
                    <a href="{% url 'update_evt' event.id %}">Modify</a>
                    <a href="{% url 'delete_evt' event.id %}">Delete</a>
                {% else %}
                    <div>Annonce non modifiable,
                    {% if event.created_by.get_full_name %}contacter {{ event.created_by.get_full_name }}{% endif %}
                    </div>
                {% endif %}
            {% else %}
                <div>Annonce non modifiable</div>
            {% endif %}
        {% endif %}
    {% endif %}
</div>
  </div>
  </div>

{% endblock %}


